/* Comment: */
#define MAXLINE 15  /* maximum input line size */
#define EOF     -1

main()  /* find longest line */
{
    int c;
    int len; /* current line length */
    int max; /* maximum length seen so far */
    char line[MAXLINE]; /* current input line */
    char save[MAXLINE]; /* longest line, saved */

    max = 0;
    while (( len = getline(line, MAXLINE)) > 0)
      if ( len == MAXLINE-1 ){
        printf("%s", line);
        while ( (c=getchar()) != EOF && c != '\n' )
	  printf("%c", c);
        printf("\n");
      }
}


getline(s, lim)  /* get line into s, return length */
char s[];
int lim;
{
    int c, i;

    for (i=0; i<lim-1 && (c=getchar()) != EOF && c !='\n'; ++i)
      s[i] = c;
    if (c == '\n') {
	s[i] = c;
	++i;
    }
    s[i] = '\0';
    return(i);
}

copy(s1, s2)  /* copy s1 to s2; assume s2 big enough */
char s1[], s2[];
{
    int i;

    i = 0;
    while ((s2[i] = s1[i]) != '\0')
      ++i;
}
